#!/usr/bin/perl

use strict;
use Test::More tests => 8;

#1
BEGIN { use_ok('FDN::Common::CharTable'); }

my $txt = 'ternit';
my $tst = 'eternite';
my $res;

#2
ok ( defined $iso8859_15_to_rfc822, "Table" );

SKIP: {
	skip 'Table missing', 1 unless defined $iso8859_15_to_rfc822;
	#3
	$res = cleanup_chars_as_table($txt,$iso8859_15_to_rfc822);
	is ( $res, $tst, "Clean rfc822" );
}

#4
ok ( defined $iso8859_15_to_ebcdic, "Table" );

#5
ok ( defined $ebcdic_to_iso8859_15, "Table" );

SKIP: {
	if ( ! defined $iso8859_15_to_ebcdic ||
	     ! defined $ebcdic_to_iso8859_15 ) {
		skip 'Tables missing', 1;
	}

	$txt = 'ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
	$tst = cleanup_chars_as_table($txt,$iso8859_15_to_ebcdic);
	$res = cleanup_chars_as_table($tst,$ebcdic_to_iso8859_15);
	#6
	is ( $res, $txt, "ASCII <-> EBCDIC");
}

#7
ok ( defined $iso8859_15_to_unixlogin, "Table" );

SKIP: {
	if ( ! defined $iso8859_15_to_unixlogin ) {
		skip 'Table missing', 1;
	}
	$txt = 'Essaye-a!<@>';
	$tst = 'essayeca';
	$res = cleanup_chars_as_table($txt,$iso8859_15_to_unixlogin);
	# 8
	is ( $res, $tst, 'Clean login');
}
