#!/bin/sh

# TAKE CARE!
# This script will connect to your mysql server on localhost
# It will drop any existing database named 'test' ($mysql_db)
# Then it will re-create it, empty.
mysql_passwd=toto
mysql_db=test

rm -f t/dbc.cfg

mysql=`which mysql`;
if [ $? -ne 0 ]; then
	echo "mysql: command not found" >&2
	exit 1;
fi
if [ "$mysql" = "" ]; then
	echo "mysql: command not found" >&2
	exit 1;
fi

$mysql -u root -p$mysql_passwd << EOF
EOF
if [ $? -ne 0 ]; then
	echo "mysql: cannot connect as root, edit t/check-db.sh" >&2
	exit 1;
fi
$mysql -u root -p$mysql_passwd << EOF
drop database if exists $mysql_db;
create database $mysql_db;
EOF
if [ $? -ne 0 ]; then
	echo "mysql: failed to create database" >&2
	exit 1;
fi

cat > t/dbc.cfg << EOF
[test]
	type  = mysql
	host  = localhost
	name  = $mysql_db
	user  = root
	passwd= $mysql_passwd

EOF

